/* dynhash.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef DYNHASH_H

/*
	mangels search.h eigene Definitionen. 26.04.93
	godot@uni-paderborn.de
*/

typedef struct
{
	/*
		The user only sees the first two fields,
		as we pretend to pass back only a pointer to ENTRY.
		{S}he doesn't know what else is in here.
	*/
	unsigned long crc;
	union 
	{
		long nr;
		void *ptr;
	} u;
} DYN_ENTRY;

#define DYN_FIND                 1
#define DYN_ENTER                2
	/* overwrite if found, else enter */
#define DYN_OVERWRITE            3
#define DYN_DELETE               4
#define HASH_STATISTICS  0
#define HASH_DEBUG       0


/*
	Entry points
*/

void *hhcreate(unsigned long count);
void hhdestroy(void *);
DYN_ENTRY *hhsearch(void *handle,DYN_ENTRY *item,int action);

#endif
