#ifndef TUUCP_LOCKFILE_H
#define TUUCP_LOCKFILE_H

/* 
 * Ein Lockfile "zpath" anlegen. *pferr wird auf 1 gesetzt, falls ein
 * fataler Fehler auftrat (nur wenn pferr!=NULL).
 * Die Funktion liefert 0 zurck, wenn das Lockfile angelegt werden 
 * konnte.
 * Sie kehrt mit returncode !=0 zurck, wenn sie keines anlegen kann, 
 * z.B. weil ein anderer Prozess den Lock hlt.
 */
int lock_create (const char *zpath, int *pferr);
int lock_delete(const char *zpath);
/*
 * Dateinamen fuer Geraetelockfile in eigens alloziertem Buffer
 * bereitstellen. Nimmt den Dateinamen des Geraets (vom
 * eventuellen Pfad befreit) 
 */
char * lock_dev_filename(const char *dev);

#endif
